SDL_SetWindowsMessageHook(3)

NAME
SDL_SetWindowsMessageHook - Set a callback for every Windows message, run before TranslateMessage().

SYNOPSIS
#include <SDL3/SDL_system.h>

void SDL_SetWindowsMessageHook(SDL_WindowsMessageHook callback, void *userdata);

DESCRIPTION
The callback may modify the message, and should return true if the message should continue to be processed, or false to prevent further processing.

FUNCTION PARAMETERS

callback
    the SDL_WindowsMessageHook function to call.

userdata
    a pointer to pass to every iteration of callback.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_WindowsMessageHook(3type), SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP(3)